VMware Cloud Community
assafk
Contributor
Contributor

vshpare 6.7 install plugin

Hi All

hope anyone could help on this one , we are trying to install a plugin on the vshpare 6.7 without any success

i could find this link which points that the flex and web client are going to be deprecated

Goodbye vSphere Client for Windows (C#) – Hello HTML5 - VMware vSphere Blog

but they are still available on the UI

when trying to install the plugin with the api calling the RegisterExtension function ( available on the VimService)

i could find some related logs on the VC

[2018-02-26T10:10:21.229+02:00] [WARN ] session-init-pool-8          70000091 100006 200004 com.vmware.vise.extensionfw.impl.PackageManifestParser            Plugin version mismatch for com.MyPlugin.plugin between the plugin registration info (3.0)

and the version specified in plugin-package.xml (4.1). The registration version will be used but you should keep them in sync. 

Line 114806: [2018-02-26T10:10:21.265+02:00] [INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Started validating com.MyPlugin.plugin:3.0

Line 114829: [2018-02-26T10:10:21.266+02:00] [INFO ] plugin-validation1            com.vmware.vise.extensionfw.impl.OsgiUsageValidationService       Finished validating com.MyPlugin.plugin:3.0

[2018-02-26T11:00:03.427+02:00] [WARN ] data-service-pool-794        70000674 100003 200006 c.v.vsphere.client.vcextension.impl.ManagedByPropertyProvider     ManagedObjectReference: type = VirtualMachine, value = vm-82, serverGuid = 4f57e45b-f53c-4c2b-8b6a-b64d72af7c15 specifies a managedBy relation to an extension with the key com.MyPlugin.plugin but no such extension is registered

does anyone has experienced the same issue when trying to install plugins on 6.7 ?

anyone knows it installing plugins on 6.7 is available ?

thanks

Reply
0 Kudos
2 Replies
msripada
Virtuoso
Virtuoso

I think still 6.7 is BETA and not yet GA. Once the GA is released, concerned vendors/partners should release the respective compatible plugins for the webclient

thanks,

MS

Reply
0 Kudos
assafk
Contributor
Contributor

i think my question wasn't clear enough.

our company has created a plugin that is currently works with other vSphare versions

the installation of the plugin is done via the vmware api.

when trying to install the plugin on 6.7 versoin , the installation is done without any exceptions

still although the vSphare logs shows that the plugin was successfully verified ,  plugin is not added

do you believe it is still related the BETA ?

thanks

Reply
0 Kudos